<?php
/*
+-----------------------------------------------------------------------------+
| $Id: prompt.php 2010-05-24 12:37:44Z Bleakwind $
| Prompt for SYSTEM
| Copyright (c) 2003-2010 Bleakwind (www.weaverdream.com)
| http://www.weaverdream.com/
| Release under the GNU Lesser General Public License Version 3 (LGPLv3):
|   http://www.gnu.org/licenses/lgpl.html
+-----------------------------------------------------------------------------+
*/

if (!defined( 'ENTRY_INDEX')){
    echo "<h1>Forbidden</h1><p>You don't have permission to access on this server.</p>";
    exit;
}

if($PROMPT['prompt_type'] == "prompt"){
    if($PROMPT['prompt_if'] == "1"){
        $t->assign(array(
               "prompt_message"     => $PROMPT['prompt_message'],
               "prompt_returnurl"   => $PROMPT['prompt_returnurl'],
               "prompt_returntext"  => $PROMPT['prompt_returntext'],
               "prompt_image"       => $PROMPT['prompt_image'],
        ));
    }else{
        $sys->prompt();
    }
}else{
    $sys->prompt();
}
$public_var['page_place'][] = $LANGUAGE['s']['prompt']['page_place'];
?>
